
package com.tmerclub.cloud.supplier.constant;

/**
 * 热搜状态
 *
 * @author YXF
 */
public enum HotSearchType {

    /**
     * 商品热搜
     */
    PROD(1),
    /**
     * 供应商热搜
     */
    SHOP(2);

    private final Integer num;

    public Integer value() {
        return num;
    }

    HotSearchType(Integer num) {
        this.num = num;
    }

    public static HotSearchType instance(Integer value) {
        HotSearchType[] enums = values();
        for (HotSearchType statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
